Bug 1199242 - [abrt] fros: bus.py:122:__new__:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the ...
Summary: [abrt] fros: bus.py:122:__new__:dbus.exceptions.DBusException: org.freedeskto...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fros
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1d83cf9c05fb48a6c01c14bed6b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-05 17:53 UTC by Adam Williamson
Modified: 2016-12-01 00:49 UTC (History)
5 users (show)

Fixed In Version: 1.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-24 08:27:11 UTC


Attachments (Terms of Use)
File: backtrace (1.54 KB, text/plain)
2015-03-05 17:53 UTC, Adam Williamson
no flags Details
File: environ (771 bytes, text/plain)
2015-03-05 17:53 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2015-03-05 17:53:25 UTC
Description of problem:
Testing anaconda crash report submission from a live image.

Version-Release number of selected component:
fros-1.1-1.fc22

Additional info:
reporter:       libreport-2.4.0
cmdline:        /usr/bin/python3 /usr/bin/fros --is-available
executable:     /usr/bin/fros
kernel:         4.0.0-0.rc1.git0.1.fc22.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
bus.py:122:__new__:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Traceback (most recent call last):
  File "/usr/bin/fros", line 81, in <module>
    available_plugins = load_plugins()
  File "/usr/bin/fros", line 61, in load_plugins
    plugin_instance = value.getScreencastPluginInstance()
  File "/usr/lib/python3.4/site-packages/pyfros/plugins/screencastgnome.py", line 115, in getScreencastPluginInstance
    return ScreencastGnome()
  File "/usr/lib/python3.4/site-packages/pyfros/plugins/screencastgnome.py", line 123, in __init__
    bus = dbus.SessionBus()
  File "/usr/lib64/python3.4/site-packages/dbus/_dbus.py", line 211, in __new__
    mainloop=mainloop)
  File "/usr/lib64/python3.4/site-packages/dbus/_dbus.py", line 100, in __new__
    bus = BusConnection.__new__(subclass, bus_type, mainloop=mainloop)
  File "/usr/lib64/python3.4/site-packages/dbus/bus.py", line 122, in __new__
    bus = cls._new_for_bus(address_or_type, mainloop=mainloop)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Local variables in innermost frame:
mainloop: None
address_or_type: 0
cls: <class 'dbus._dbus.SessionBus'>

Comment 1 Adam Williamson 2015-03-05 17:53:27 UTC
Created attachment 998495 [details]
File: backtrace

Comment 2 Adam Williamson 2015-03-05 17:53:28 UTC
Created attachment 998496 [details]
File: environ

Comment 3 lnie 2015-03-31 05:44:30 UTC
confirmed this.I ran into this bug when I'm trying to report another crash bug  using gnome-abrt

Comment 4 Jakub Filak 2015-08-24 14:30:46 UTC
Patch submitted for review to upstream:
https://github.com/jfilak/fros/commit/727d4e349409d5b45903faa169662cdeff381903

Comment 5 Fedora Update System 2015-08-25 07:21:19 UTC
fros-1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14188

Comment 6 Fedora Update System 2015-08-26 17:27:46 UTC
fros-1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update fros'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14188

Comment 7 Fedora Update System 2015-09-24 08:27:02 UTC
fros-1.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.